## gatb-core 1.4.1+dfsg

=== gatb-core/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(gatb-core)
 
 # We set the required version
-cmake_minimum_required (VERSION 3.10.0)
+cmake_minimum_required (VERSION 3.1.0)
 
 ################################################################################
 # The version number.
@@ -110,6 +110,8 @@
     set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p ${LIB_COMPILE_WARNINGS}")
     set (CMAKE_BUILD_TYPE Debug) # else CMake adds DNDEBUG
     message("-- COMPILATION IN DEBUG MODE")
+else()
+    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -O3 -DNDEBUG ${LIB_COMPILE_WARNINGS}")
 endif()
 
 if (INT128_FOUND)
@@ -209,7 +211,7 @@
 set (gatb-core-includes ${PROJECT_BINARY_DIR}/include  ${PROJECT_BINARY_DIR}/include/${CMAKE_BUILD_TYPE} ${PROJECT_SOURCE_DIR}/src  ${PROJECT_SOURCE_DIR}/thirdparty ${gatb-core-extra-libraries-inc})
 
 # We define the libraries used for linking binary based on gatb core
-set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5-static ${gatb-core-extra-libraries})
+set (gatb-core-libraries   gatbcore-static  dl  pthread  z hdf5 ${gatb-core-extra-libraries})
 
 # We define the directory where to find cmake helpers
 set (gatb-core-cmake  ${CMAKE_MODULE_PATH})
@@ -255,7 +257,7 @@
 #  DEPENDENCIES 
 ################################################################################
 # we must be sure that hdf5 is built and installed before building gatb-core
-ADD_DEPENDENCIES (gatbcore-static hdf5-static hdf5_postbuild)
+ADD_DEPENDENCIES (gatbcore-static hdf5 hdf5_postbuild)
 
 ################################################################################
 #  DOCUMENTATION GENERATION 
@@ -272,6 +274,3 @@
         ADD_SUBDIRECTORY(examples)
     ENDIF()
 ENDIF()
-
-IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
-    # add example snippets into binary archive (use by CPack directive)
