=== debian/changelog ===
gatb-core (1.4.1+dfsg-2) unstable; urgency=medium

  * Install cmake files
  * Fix binary only build
    Closes: #902161

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 12:01:54 +0200

gatb-core (1.4.1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #873044)  

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 21:57:34 +0200
