=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
pkgtestdata=$(DEB_SOURCE)-testdata

%:
	dh $@ --sourcedirectory=gatb-core

override_dh_install-arch:
	dh_install -a
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
                    --movedev debian/tmp/usr/include usr \
                    --movedev gatb-core/cmake usr/lib \
                    debian/tmp/usr/lib/*/*.so
	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)

override_dh_install-indep:
	dh_install -i
	mv debian/$(pkgtestdata)/usr/share/doc/$(DEB_SOURCE)/test/gatb-core-cppunit debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
