## gatb-core 1.4.1+git20180206.6f8fce8+dfsg

=== gatb-core/CMakeLists.txt ===
--- 
+++ 
@@ -274,3 +274,4 @@
         ADD_SUBDIRECTORY(examples)
     ENDIF()
 ENDIF()
+
