=== debian/changelog ===
gatb-core (1.4.1+git20180206.6f8fce8+dfsg-2) unstable; urgency=medium

  * Provide symbols for amd64 only
    Closes: #920330

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 10:28:21 +0100

gatb-core (1.4.1+git20180206.6f8fce8+dfsg-1) unstable; urgency=medium

  * New upstream commit to fit needs of minia and discosnp
  * Add symbols file
  * Bump SOVERSION due to changed symbols

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 16:58:53 +0100

gatb-core (1.4.1+dfsg-4) unstable; urgency=medium

  * Install json.hpp since it is referenced in header files
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 22 Jan 2019 14:50:38 +0100

gatb-core (1.4.1+dfsg-3) unstable; urgency=medium

  * Make sure target dir exists also for Architecture: all build
    Closes: #903613
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control

 -- Andreas Tille <tille@debian.org>  Sat, 15 Dec 2018 10:22:40 +0100
