## gatb-core 1.4.1+git20181225.44d5a44+dfsg

=== debian/changelog ===
gatb-core (1.4.1+git20181225.44d5a44+dfsg-3) unstable; urgency=medium

  * Fix symbols
    Closes: #930368

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jun 2019 12:25:30 +0200

gatb-core (1.4.1+git20181225.44d5a44+dfsg-2) unstable; urgency=medium

  * Rebuild for new version of gcc to fix symbols
    Closes: #924849

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2019 09:45:17 +0100

gatb-core (1.4.1+git20181225.44d5a44+dfsg-1) unstable; urgency=medium

  * New upstream checkout
  * Adapt symbols file to new upstream code
  * Bump SOVERSION due to ABI changes

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jan 2019 11:50:33 +0100
