=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  exist a set of ready-to-use tools relying on GATB-CORE
  library: see https://gatb.inria.fr/software/
 
-Package: libgatbcore1
+Package: libgatbcore2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -60,7 +60,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgatbcore1 (= ${binary:Version})
+         libgatbcore2 (= ${binary:Version})
 Description: development library of the Genome Analysis Toolbox
  The GATB-CORE project provides a set of highly efficient
  algorithms to analyse NGS data sets. These methods enable
