=== debian/changelog ===
gatb-core (1.4.1+git20190813.a73b6dd+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Fix symbols file to match output from gcc9
    Closes: #925690
  * List missing dependencies explicitly
    Closes: #931403

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 12:51:53 +0200
