=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs,
                cmake,
                libcppunit-dev,
@@ -13,7 +13,7 @@
                libjsoncpp-dev,
                doxygen,
                graphviz
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
 Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
 Homepage: https://github.com/GATB/gatb-core
@@ -21,7 +21,9 @@
 Package: gatb-core
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libhdf5-103,
+         libcppunit-1.14-0
 Description: Genome Analysis Toolbox with de-Bruijn graph
  The GATB-CORE project provides a set of highly efficient
  algorithms to analyse NGS data sets. These methods enable
