## gatb-core 1.4.1+git20191130.664696c+dfsg

=== debian/changelog ===
gatb-core (1.4.1+git20191130.664696c+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Andreas Tille ]
  * Bump Debian own invented SOVERSION due to massive changes in upstream
    ABI

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 12:34:00 +0100
