=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libjsoncpp-dev,
                doxygen,
                graphviz
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/gatb-core
 Vcs-Git: https://salsa.debian.org/med-team/gatb-core.git
 Homepage: https://github.com/GATB/gatb-core
@@ -37,7 +37,7 @@
  exist a set of ready-to-use tools relying on GATB-CORE
  library: see https://gatb.inria.fr/software/
 
-Package: libgatbcore2
+Package: libgatbcore3
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -62,7 +62,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgatbcore2 (= ${binary:Version})
+         libgatbcore3 (= ${binary:Version})
 Description: development library of the Genome Analysis Toolbox
  The GATB-CORE project provides a set of highly efficient
  algorithms to analyse NGS data sets. These methods enable
