=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,13 @@
 %:
 	dh $@ --sourcedirectory=gatb-core
 
+override_dh_auto_build-arch:
+	dh_auto_build -a
+
+override_dh_auto_build-indep:
+	echo "Save time of autobuilders and do nothing ... unfortunately this does not seem to work"
+
 override_dh_install-arch:
-	dh_install -a
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
@@ -19,7 +24,9 @@
                     --movedev gatb-core/cmake usr/lib \
                     debian/tmp/usr/lib/*/*.so
 	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
+	dh_install -a
 
 override_dh_install-indep:
 	dh_install -i
+	mkdir -p debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
 	mv debian/$(pkgtestdata)/usr/share/doc/$(DEB_SOURCE)/test/gatb-core-cppunit debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)
