=== debian/changelog ===
gatb-core (1.4.1+git20191209.9398f28+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add -latomic where needed to fix the build on armel, mipsel & powerpc.
  * new patch to avoid "-msse2" on build hosts that use qemu
  * Simplify library dependencies. Closes: #947964.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 05 Jan 2020 22:40:32 +0100

gatb-core (1.4.1+git20191209.9398f28+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 22:03:59 +0100
