=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,20 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel powerpc sh4))
+  EXTRA=-DCMAKE_CXX_STANDARD_LIBRARIES=-latomic
+endif
+
 
 include /usr/share/dpkg/default.mk
 pkgtestdata=$(DEB_SOURCE)-testdata
 
 %:
 	dh $@ --sourcedirectory=gatb-core
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(EXTRA)
 
 override_dh_auto_build-arch:
 	dh_auto_build -a
