## gatb-core 1.4.2%2Bdfsg

=== gatb-core/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # The default version number is the latest official build
 SET (gatb-core_VERSION_MAJOR 1)
 SET (gatb-core_VERSION_MINOR 4)
-SET (gatb-core_VERSION_PATCH 1)
+SET (gatb-core_VERSION_PATCH 2)
 
 # But, it is possible to define another release number during a local build
 IF (DEFINED MAJOR)
@@ -110,8 +110,6 @@
     set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -g -p ${LIB_COMPILE_WARNINGS}")
     set (CMAKE_BUILD_TYPE Debug) # else CMake adds DNDEBUG
     message("-- COMPILATION IN DEBUG MODE")
-else()
-    set (LIBRARY_COMPILE_DEFINITIONS  "${LIBRARY_COMPILE_DEFINITIONS} -O3 -DNDEBUG ${LIB_COMPILE_WARNINGS}")
 endif()
 
 if (INT128_FOUND)
@@ -275,3 +273,5 @@
     ENDIF()
 ENDIF()
 
+IF (NOT DEFINED GATB_CORE_EXCLUDE_EXAMPLES)
+    # add example snippets into binary archive (use by CPack directive)
