=== debian/watch ===
version=4

# Minia does not work with the official release - try HEAD
#opts="mode=git,pretty=1.4.1+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
#    https://github.com/GATB/gatb-core.git HEAD

# Regular releases
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/GATB/gatb-core/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
